Skip to main content
`Ctrl`+`K`

# MatFactorGetSolverType

Returns name of the package providing the factorization routines

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFactorGetSolverType(Mat mat, MatSolverType *type)

Not Collective

## Input Parameter

- mat - the matrix, must be a factored matrix

## Output Parameter

- type - the string name of the package (do not free this string)

## See Also

Matrices, `Mat`, Matrix Factorization, `MatGetFactor()`, `MatSolverType`, `MatCopy()`, `MatDuplicate()`, `MatGetFactorAvailable()`

## Level

intermediate

## Location

src/mat/interface/matrix.c

## Implementations

MatFactorGetSolverType_mumps() in src/mat/impls/aij/mpi/mumps/impl/imumps.c
MatFactorGetSolverType_PaStiX() in src/mat/impls/aij/mpi/pastix/pastix.c
MatFactorGetSolverType_petsc() in src/mat/impls/aij/seq/aijfact.c
MatFactorGetSolverType_essl() in src/mat/impls/aij/seq/essl/essl.c
MatFactorGetSolverType_petsc() in src/mat/impls/baij/seq/baijfact.c
MatFactorGetSolverType_Htool() in src/mat/impls/htool/htool.cxx
MatFactorGetSolverType_petsc() in src/mat/impls/sbaij/seq/sbaij.c
MatFactorGetSolverType_HT() in src/mat/impls/transpose/htransm.c
MatFactorGetSolverType_Transpose() in src/mat/impls/transpose/transm.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages